Subject: Re: bug#25678: 25.1; defcustom type `(file :must-match t)' seems not to work

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 30 Aug 2020 15:56:17 +0200

Mauro Aranda <[email-masked]> writes:

> I think it makes sense to expand the impact of :must-match t to
> Customization buffers, like in the attached patch.

[...]

> +  :match #'(lambda (widget value)
> +             (or (not (widget-get widget :must-match))
> +                 (file-exists-p value)))

Makes sense to me.  I've now applied this to Emacs 28 (but I removed the
#''s before the lambdas first (they're superfluous)).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no